<?php
/**
 * Plugin Qcm (addon for plugin Adm_redacteurs)
 * Version  : 1.5 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00 et Adm_redacteurs v6.14+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

require ADMR_ADDONS_PATH.'/qcm/configs/qcm_constants.php';   // Chargement des constantes de l'addon     

/**
 * Classe qui permet de rajouter des options de configuration lors de l'enregistrement d'un utilisataur (rédacteur ou groupe rédacteur)
 */
class Add_qcm_params_for_user_rights_helper
{
    /*
    |--------------------------------------------------------------------------
    | Properties
    |--------------------------------------------------------------------------
    */
    protected $CI; // object global
    protected $_lang = array();     // Données de langue
    protected $_config = array();   // Données de configuration
    protected $_doc_infos = array('type' => 'qcm', 'name' => 'qcm'); // Infos concernant le document (type, name)
    
    /*
    |--------------------------------------------------------------------------
    | Constructor
    |--------------------------------------------------------------------------
    */
    function __construct()
    {
        $this -> CI =& Controller :: get_instance();

        $this -> CI -> load_addon_model('qcm', 'qcm_ids_model');        
    }

    /*
    |--------------------------------------------------------------------------
    | Methods
    |--------------------------------------------------------------------------
    */

    /**
	 * Ajoute des données supplémentaires dans la vue lors de l'ajout ou de la modification des droits d'un utilissteur (rédacteur ou groupe rédacteur)
     * sous la forme array(key => value)
     * 
	 * @access protected
     * @return array
	 */	
    public function add_more_data_for_add_user_view()
    {
        return array(
            'qcms' => $this -> _get_all_qcms(),
        );
    }

	// --------------------------------------------------------------------


	// --------------------------------------------------------------------

	/**
	 * retourne la liste des qcm pris en charge
	 *
	 * @access	protected
	 * @return	array sous la forme array(id => name)
	 */
    protected function _get_all_qcms()
    {        

        $qcms = $this -> CI -> qcm_ids_model -> get(array('status' => array('a', 'i')));

        return $qcms;     
    }

	// --------------------------------------------------------------------
    
} // End of class