<?php
/**
 * Plugin Qcm (addon for plugin Adm_redacteurs)
 * Version  : 1.5 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00 et Adm_redacteurs v6.14+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>
<fieldset class="secondary options">
    <legend><?php echo ucfirst($lang['additional_options']); ?></legend>
        <p>
            <label title="<?php echo ucfirst($lang['manage_answers_choice_for_questions']); ?>" for="params_<?php echo $section; ?>_answers_choice_manage_1"><?php echo ucfirst($lang['manage_answers_choice_for_questions']); ?>&nbsp;:&nbsp;</label>
            <input value="1" name="params[<?php echo $section; ?>_answers_choice_manage]" id="params_<?php echo $section; ?>_answers_choice_manage_1" type="radio"<?php echo !empty($params[$section.'_answers_choice_manage']) ? ' checked="checked"' : ''; ?> />
            <label title="<?php echo ucfirst($lang['yes']); ?>" for="params_<?php echo $section; ?>_answers_choice_manage_1"><?php echo ucfirst($lang['yes']); ?></label>
            <span>&nbsp;&nbsp;</span>
            <input value="0" name="params[<?php echo $section; ?>_answers_choice_manage]" id="params_<?php echo $section; ?>_answers_choice_manage_0" type="radio"<?php echo empty($params[$section.'_answers_choice_manage']) ? ' checked="checked"' : ''; ?> />
            <label title="<?php echo ucfirst($lang['no']); ?>" for="params_<?php echo $section; ?>_answers_choice_manage_0"><?php echo ucfirst($lang['no']); ?></label>
        </p>        
        <p>
            <label title="<?php echo ucfirst($lang['manage_display_questions']); ?>" for="params_<?php echo $section; ?>_display_questions_manage_1"><?php echo ucfirst($lang['manage_display_questions']); ?>&nbsp;:&nbsp;</label>
            <input value="1" name="params[<?php echo $section; ?>_display_questions_manage]" id="params_<?php echo $section; ?>_display_questions_manage_1" type="radio"<?php echo !empty($params[$section.'_display_questions_manage']) ? ' checked="checked"' : ''; ?> />
            <label title="<?php echo ucfirst($lang['yes']); ?>" for="params_<?php echo $section; ?>_display_questions_manage_1"><?php echo ucfirst($lang['yes']); ?></label>
            <span>&nbsp;&nbsp;</span>
            <input value="0" name="params[<?php echo $section; ?>_display_questions_manage]" id="params_<?php echo $section; ?>_display_questions_manage_0" type="radio"<?php echo empty($params[$section.'_display_questions_manage']) ? ' checked="checked"' : ''; ?> />
            <label title="<?php echo ucfirst($lang['no']); ?>" for="params_<?php echo $section; ?>_display_questions_manage_0"><?php echo ucfirst($lang['no']); ?></label>
        </p>
</fieldset>

<fieldset class="secondary">
    <legend><?php echo ucfirst($lang[$section.'_questions']); ?></legend>
    <p>
    <span title="<?php echo ucfirst(sprintf($lang['access_to_the_%s'], $lang[$section.'_questions'])); ?>"><?php echo ucfirst(sprintf($lang['access_to_the_%s'], $lang[$section.'_questions'])); ?>&nbsp;:&nbsp;</span>
    <input value="1" name="params[<?php echo $section.'_questions_manage'; ?>]" id="params_<?php echo $section.'_questions_manage'; ?>_1" type="radio"<?php echo !empty($params[$section.'_questions_manage']) ? ' checked="checked"' : ''; ?> />
    <label title="<?php echo ucfirst($lang['yes']); ?>" for="params_<?php echo $section.'_questions_manage'; ?>_1"><?php echo ucfirst($lang['yes']); ?></label>
    <span>&nbsp;&nbsp;</span>
    <input value="0" name="params[<?php echo $section.'_questions_manage'; ?>]" id="params_<?php echo $section.'_questions_manage'; ?>_0" type="radio"<?php echo empty($params[$section.'_questions_manage']) ? ' checked="checked"' : ''; ?> />
    <label title="<?php echo ucfirst($lang['no']); ?>" for="params_<?php echo $section.'_questions_manage'; ?>_0"><?php echo ucfirst($lang['no']); ?></label>
    </p>
    <fieldset class="secondary rights">
        <legend data-check-all="<?php echo ucfirst($lang['check_all']); ?>" data-uncheck-all="<?php echo ucfirst($lang['uncheck_all']); ?>"><?php echo ucfirst(sprintf($lang['rights_of_the_%s'], $lang[$section.'_questions'])); ?></legend>
        <?php foreach(array('add', 'edit', 'act', 'del', 'order') as $right) : ?>        
            <?php if (isset($params[$section.'_questions_'.$right])) : ?>
            <p>
            <input value="1" name="params[<?php echo $section.'_questions_'.$right; ?>]" id="params_<?php echo $section.'_questions_'.$right; ?>" type="checkbox"<?php echo !empty($params[$section.'_questions_'.$right]) ? ' checked="checked"' : ''; ?> />
            <label title="<?php echo $lang[$right]; ?>" for="params_<?php echo $section.'_questions_'.$right; ?>"><?php echo $lang[$right]; ?></label>
            </p>
            <?php endif; ?>            
        <?php endforeach; ?>    
    </fieldset>
    
    <fieldset class="qcm">
        <legend><?php echo ucfirst($lang['qcm_to_manage']); ?></legend>
        <p>
        <input value="1" name="params[<?php echo $section.'_questions_qcm_access'; ?>]" id="params_<?php echo $section; ?>_questions_qcm_access_1" type="radio"<?php echo (empty($params[$section.'_questions_qcm_access']) || $params[$section.'_questions_qcm_access'] == 1) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo $lang['manage_all_qcm']; ?>" for="params_<?php echo $section; ?>_questions_qcm_access_1"><?php echo ucfirst($lang['access_all_qcm']); ?></label>
        </p>
        <p>
        <input value="3" name="params[<?php echo $section.'_questions_qcm_access'; ?>]" id="params_<?php echo $section; ?>_questions_qcm_access_3" type="radio"<?php echo ($params[$section.'_questions_qcm_access'] == 3) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo $lang['access_only_writer_qcm']; ?>" for="params_<?php echo $section; ?>_questions_qcm_access_3"><?php echo ucfirst($lang['access_only_writer_qcm']); ?></label>
        </p>
        <p>
        <input value="2" name="params[<?php echo $section.'_questions_qcm_access'; ?>]" id="params_<?php echo $section; ?>_questions_qcm_access_2" type="radio"<?php echo ($params[$section.'_questions_qcm_access'] == 2) ? 'checked="checked"' : ''; ?> />
        <label title="<?php echo $lang['access_following_qcm']; ?>" for="params_<?php echo $section; ?>_questions_qcm_access_2"><?php echo ucfirst($lang['access_following_qcm']); ?>&nbsp;:&nbsp;</label>
        <select name="params[<?php echo $section.'_questions_qcm_list_allowed'; ?>][]" id="params_<?php echo $section; ?>_questions_qcm_list_allowed" multiple="multiple" size="4">
        <?php foreach($qcms as $qcm) : ?>
        <option value="<?php echo $qcm['id']; ?>"<?php echo in_array($qcm['id'], $params[$section.'_questions_qcm_list_allowed']) ? ' selected="selected"' : ''; ?>><?php echo $qcm['id'].'&nbsp;:&nbsp;'.htmlspecialchars((ADMR_LNG == $config['lang'][1])? $qcm['title2'] : $qcm['title1']); ?></option>
        <?php endforeach; ?>
        </select>
        </p>
    </fieldset>
 
</fieldset>