<?php
/**
 * Plugin Qcm (addon for plugin Adm_redacteurs)
 * Version  : 1.5 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00 et Adm_redacteurs v6.14+
 * Author   : jrme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */
 
defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>
<?php if (empty($params['id'])) : // Document inexistant ?>
    <p><?php echo ucfirst($lang['errors_msg']['this_page_doesnt_exists']).ucfirst($lang['please_contact_webmaster_to_inform_him']); ?></p>
<?php elseif (! $is_allowed_for_publication) : // Publication non autorise ?>
    <p><?php echo ucfirst($lang['errors_msg']['access_is_not_allowed']); ?></p>
<?php else : // Affichage du qcm ?>
    <?php if (!empty($_POST)) : ?>
        <h4 id="ADMR_block_confirm" class="ADMR_title"><?php echo ucfirst($lang['qcm_results']); ?>&nbsp;:</h4>
        <div class="<?php echo ($validation) ? 'confirm_recording_success' : 'confirm_recording_fail' ?>">
        <?php if ($validation && !empty($count_qcm_results)) : ?>
            <p><?php echo sprintf(ucfirst($lang['you_have_%d_correct_answers_and_%d_false_answers']), $count_qcm_results[1], $count_qcm_results[0]); ?></p>
        <?php else : ?> 
            <p><?php echo ucfirst($lang['you_have_not_filled_the_qcm_correctly']).ucfirst($lang['please_correct_errors_and_revalidate']); ?></p>  
        <?php endif; ?>
        </div>
    <?php endif; ?>
    <?php echo $params['contents_before']; ?>
    <?php echo $params['description']; ?>
    
    <?php if (! $validation) : ?>
        <form id="form_admr_qcm" action="<?php echo $form_url; ?>" method="post">
    <?php //else : ?>
<!--       <p><a href="<?php echo $form_url; ?>"><button class="clsCursor restartButton" type="button"><?php echo ucfirst($lang['restart_qcm']); ?></button></a></p>
-->
    <?php endif; ?>  
    <?php include ADMR_VIEWS_PATH.'/fragments/add_input_token_view.php'; ?>
    <input type="hidden" name="pg" value="<?php echo $params['id'] ?>" />
    <input type="hidden" name="js" value=""
           data-lang-previous="<?php echo ucfirst($lang['return_to_previous_question']); ?>"
           data-lang-next="<?php echo ucfirst($lang['valid_and_go_to_next_question']); ?>"
           data-lang-alert="<?php echo ucfirst($lang['please_check_an_answer']); ?>"
           data-lang-valid="<?php echo ucfirst($lang['valid_and_submit_qcm_answers']); ?>"
    />
 
    <?php if (!empty($qcm_questions_data)) :  ?>
        <?php foreach($qcm_questions_display_order as $question_key => $question_id) : ?>
            <?php if (isset($qcm_questions_data[$question_id])) :  ?>
                <article class="question">
                    <header>
                        <h3><?php echo sprintf(ucfirst($lang['question_%d']), $question_key+1); ?></h3>
                    </header>
                        <div><?php echo Var_helper :: convert_relative_path_to_absolute($qcm_questions_data[$question_id]['content'.$lang_index]); ?></div>
                        <fieldset>
                            <legend><?php echo ucfirst($lang['answers']); ?>
                            <?php echo !empty($errors['answers_'.$question_id]) ? '<span class="error">'.$errors['answers_'.$question_id].'</span>' : '' ?>
                            </legend>
                           <?php foreach($qcm_questions_data[$question_id]['answers'] as $answer_key => $answer): ?>
                                <?php if ((empty($params['answers_choice']) && $qcm_questions_data[$question_id]['is_answers_multiple']) || $params['answers_choice'] == 2) : ?>
                                    <div class="answer">
                                        <label>
                                            <input type="checkbox" 
                                                name="params[answers][<?php echo $question_id; ?>][<?php echo $answer_key; ?>]" 
                                                value="<?php echo $answer_key; ?>" 
                                                <?php echo (isset($params['answers'][$question_id][$answer_key]) && $params['answers'][$question_id][$answer_key] == $answer_key)? ' checked="checked"' : '' ?>
                                                <?php echo ($validation) ? ' disabled="disabled"' : '' ?>
                                             />
                                            <?php echo Var_helper :: convert_relative_path_to_absolute($answer['content'.$lang_index]); ?>
                                        </label>
                                        <?php if ($validation && isset($params['answers'][$question_id][$answer_key]) && $params['answers'][$question_id][$answer_key] == $answer_key) : ?>
                                            <?php if(! empty($qcm_results[$question_id][$answer_key])) : ?>
                                                <em class="true_answer"><?php echo ucfirst($lang['answer_is_correct']); ?></em>
                                            <?php else : ?>
                                                <em class="false_answer"><?php echo ucfirst($lang['answer_is_false']); ?></em>
                                            <?php endif; ?>   
                                        <?php endif; ?>
                                    </div>
                                <?php else : ?>
                                    <div class="answer">
                                        <label>
                                            <input type="radio" 
                                                name="params[answers][<?php echo $question_id; ?>]" 
                                                value="<?php echo $answer_key; ?>" <?php echo (isset($params['answers'][$question_id]) && $params['answers'][$question_id] == $answer_key)? ' checked="checked"' : '' ?>
                                                <?php echo ($validation) ? ' disabled="disabled"' : '' ?>
                                             />
                                            <?php echo Var_helper :: convert_relative_path_to_absolute($answer['content'.$lang_index]); ?>
                                        </label>
                                        <?php if ($validation && isset($params['answers'][$question_id]) && $params['answers'][$question_id] == $answer_key) : ?>
                                            <?php if($qcm_results[$question_id]) : ?>
                                                <em class="true_answer"><?php echo ucfirst($lang['answer_is_correct']); ?></em>
                                            <?php else : ?>
                                                <em class="false_answer"><?php echo ucfirst($lang['answer_is_false']); ?></em>
                                            <?php endif; ?>   
                                        <?php endif; ?>
                                    </div>                   
                                <?php endif; ?>
                            <?php endforeach; ?>   
                        </fieldset>
                </article>
            <?php endif; ?>     
        <?php endforeach; ?>
        <?php if (! $validation) : ?>
            <p><button class="clsCursor submitButton" type="submit"><?php echo ucfirst($lang['valid_and_submit_qcm_answers']); ?></button></p>   
            <div id="popup"></div>
            </form>
        <?php else : ?>   
            <p><a href="<?php echo $form_url; ?>"><button class="clsCursor restartButton" type="button"><?php echo ucfirst($lang['restart_qcm']); ?></button></a></p>
        <?php endif; ?>
    <?php else : ?>
        <?php echo ucfirst($lang['no_qcm_questions']); ?> 
    <?php endif; ?>
    <?php echo $params['contents_after']; ?>
        
    <?php if (!empty($params['display_create_date']) || !empty($params['display_modif_date']) || !empty($params['display_author']) || !empty($params['display_nb_views'])) : ?>    
    <ul class="page_infos">    
        <?php if (!empty($params['display_create_date'])) : ?>
        <li><?php echo ucfirst($lang['create_date']); ?> : <em><?php echo FormatDateStamp($params['create_datetime']); ?></em></li>
        <?php endif; ?>
        <?php if (!empty($params['display_modif_date'])) : ?>
        <li><?php echo ucfirst($lang['modification_date']); ?> : <em><?php echo FormatDateStamp($params['modif_datetime']); ?></em></li>
        <?php endif; ?>
        <?php if (!empty($params['display_author'])) : ?>
        <li><?php echo ucfirst($lang['author']); ?> : <em><?php echo $author; ?></em></li>
        <?php endif; ?>
        <?php if (!empty($params['display_nb_views'])) : ?>
        <li><?php echo ucfirst($lang['page_viewed']); ?> : <em><?php echo sprintf($lang['%d_hits'], $nb_views); ?></em></li>
        <?php endif; ?>
    </ul>
    <?php endif; ?>
    
    <?php if (!empty($params['previous_page_label']) || !empty($params['next_page_label'])) : ?>
    <ul class="page_links">
        <?php if (!empty($params['previous_page_label'])) : ?>
        <li class="link_previous_page"><a href="<?php echo (strpos($params['previous_page_uri'], 'http') === 0) ? $params['previous_page_uri'] : CHEMIN.$params['previous_page_uri']; ?>"><?php echo $params['previous_page_label']; ?></a></li>
        <?php endif; ?>
        <?php if (!empty($params['next_page_label'])) : ?>
        <li class="link_next_page"><a href="<?php echo (strpos($params['next_page_uri'], 'http') === 0) ? $params['next_page_uri'] : CHEMIN.$params['next_page_uri']; ?>"><?php echo $params['next_page_label']; ?></a></li>
        <?php endif; ?>
    </ul>
    <?php endif; ?>

    <p class="display-widepage">
        <a href="<?php echo str_replace('&wpg=1', '',$_SERVER['REQUEST_URI']); ?>">
            &nbsp;<?php echo ucfirst($lang['display_normal']); ?>
        </a>&nbsp;&nbsp;&nbsp;
        <a href="<?php echo str_replace('&wpg=1', '',$_SERVER['REQUEST_URI']).'&wpg=1'; ?>">
            &nbsp;<?php echo ucfirst($lang['display_without_sidebars']); ?>
        </a>
    </p>
<?php endif; ?>